Subject: Re: [PATCH] softmac: remove netif_tx_disable when scanning

From: Daniel Drake <[email-masked]>
Date: Sun, 26 Nov 2006 13:25:55 -0500

Johannes Berg wrote:
> Would you actually need a fully refcounted enable/disable?

No, we could stick with our existing setup if the stack did something 
different.

> Because for
> the stack it wouldn't be required if it'd simply not start scanning when
> queue is disabled and stop scanning immediately when queue stop is
> requested.

That would work, assuming there is a way to make the stack listen for 
the "TX queue stopped" event (or would the ieee80211_tx_disable wrapper 
take care of that?).

Daniel